Class Fox::FXColorSelector

In: | FXColorSelector.rb
Parent: | FXPacker

Color selection widget

### Events

The following messages are sent by FXColorSelector to its target:

`SEL_CHANGED`: | sent continuously, while the color is changing
`SEL_COMMAND`: | sent when the new color is set

### Message identifiers

`ID_CUSTOM_FIRST`: | x
`ID_CUSTOM_LAST`: | x
`ID_RGB_RED_SLIDER`: | x
`ID_RGB_GREEN_SLIDER`: | x
`ID_RGB_BLUE_SLIDER`: | x
`ID_RGB_RED_TEXT`: | x
`ID_RGB_GREEN_TEXT`: | x
`ID_RGB_BLUE_TEXT`: | x
`ID_HSV_HUE_SLIDER`: | x
`ID_HSV_SATURATION_SLIDER`: | x
`ID_HSV_VALUE_SLIDER`: | x
`ID_HSV_HUE_TEXT`: | x
`ID_HSV_SATURATION_TEXT`: | x
`ID_HSV_VALUE_TEXT`: | x
`ID_CMY_CYAN_SLIDER`: | x
`ID_CMY_MAGENTA_SLIDER`: | x
`ID_CMY_YELLOW_SLIDER`: | x
`ID_CMY_CYAN_TEXT`: | x
`ID_CMY_MAGENTA_TEXT`: | x
`ID_CMY_YELLOW_TEXT`: | x
`ID_DIAL_WHEEL`: | x
`ID_COLOR_BAR`: | x
`ID_COLOR_LIST`: | x
`ID_WELL_CHANGED`: | x
`ID_COLOR`: | x
`ID_ACTIVEPANE`: | x
`ID_ALPHA_SLIDER`: | x
`ID_ALPHA_TEXT`: | x
`ID_ALPHA_LABEL`: | x
`ID_COLORPICK`: | x

Methods

new opaqueOnly?

Attributes

acceptButton | [R] | The "Accept" button [FXButton]
cancelButton | [R] | The "Cancel" button [FXButton]
opaqueOnly | [W] | Only opaque colors allowed [Boolean]
rgba | [RW] | The color [FXColor]

Public Class methods

new(parent, target=nil, selector=0, opts=0, x=0, y=0, width=0, height=0) {|theColorSelector| ...}

Construct a new color selector

Public Instance methods

opaqueOnly?()

Return `true` if only opaque colors allowed